Bug 1270525 - (maxmind-db) Review Request: maxmind-db - Reader for the MaxMind DB Database Format
Review Request: maxmind-db - Reader for the MaxMind DB Database Format
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: newtonsoft-json 1366713
Blocks: openra maxmind-geoip2
  Show dependency treegraph
 
Reported: 2015-10-10 11:56 EDT by Raphael Groner
Modified: 2016-11-05 18:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 18:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2015-10-10 11:56:17 EDT
Spec URL: https://raphgro.fedorapeople.org/review/openra/maxmind-db.spec
SRPM URL: https://raphgro.fedorapeople.org/review/openra/maxmind-db-1.2.0-1.fc23.src.rpm
Description: Reader for the MaxMind DB Database Format
Fedora Account System Username: raphgro
Comment 1 Matthias Mailänder 2015-11-24 10:22:15 EST
Attention: for OpenRA you will need to package MaxMind.Db version 1.1.0
Comment 2 Raphael Groner 2016-03-02 07:28:29 EST
(In reply to Matthias Mailänder from comment #1)
> Attention: for OpenRA you will need to package MaxMind.Db version 1.1.0

What's the relevant difference? Are there any concerns about ABI/API?
Comment 3 Matthias Mailänder 2016-03-02 14:32:47 EST
Yes, it is required for the old .NET 4.0 non-async library.
Comment 4 Raphael Groner 2016-03-07 09:20:36 EST
Hmm, new guideline modification may apply for the pregenerated test data (source1) and could need also the sources in srpm. Have to investigate.
https://fedoraproject.org/wiki/Packaging:Guidelines#Use_of_pregenerated_code
Comment 5 Matthias Mailänder 2016-08-08 01:31:07 EDT
Note: I updated OpenRA to use the 2.0.0 MaxMind DB version. https://github.com/OpenRA/OpenRA/pull/11285
Comment 6 gil cattaneo 2016-08-15 17:03:28 EDT
Build fail: No matching package to install: 'nunit = 2.6.4'
Comment 7 Raphael Groner 2016-09-29 13:18:14 EDT
Matthias,
does OpenRA work also with the MaxMind DB 2.1.x series?
Comment 8 Matthias Mailänder 2016-09-29 22:12:19 EDT
Looking good so far. https://github.com/OpenRA/OpenRA/pull/12132
Comment 9 Raphael Groner 2016-10-01 11:53:22 EDT
Mysterically, the tarballs for 2.1.x disappeared from upstream GitHub. Notes about upcoming 2.2.0 got removed from releasenotes.md file.
Comment 10 Raphael Groner 2016-10-01 14:17:41 EDT
Well, I fail to build a package for 2.1.2 because it requires .NET Core and NUnit 3. Both are not availabe in Fedora 25. Last version we can use is 2.0.0 therefore.
Comment 11 Matthias Mailänder 2016-10-23 14:02:48 EDT
Note: https://github.com/OpenRA/OpenRA/pull/12132#pullrequestreview-5363472 etc. indicates that OpenRA will not update MaxMind for .NET Core in the foreseeable future.
Comment 12 Raphael Groner 2016-11-05 18:05:57 EDT
.NET Core is currently no option for Fedora.

Note You need to log in before you can comment on or make changes to this bug.